package com.abssqr.plat.common.model.convertor.web;


import com.abssqr.plat.common.dal.mysql.auto.paging.AstPoolLoanPage;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstLoan;
import com.abssqr.plat.common.facade.enums.AstRiskClassEnum;
import com.abssqr.plat.common.facade.enums.RepayMethodEnum;
import com.abssqr.plat.common.facade.param.ast.AstPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.AstLoanVO;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.collections.CollectionUtils;

public class AstLoanWebConvert {
    public static AstLoanVO convert2AstPoolVO(AstLoan astLoan){
        AstLoanVO astPoolLoanVO=new AstLoanVO();
        astPoolLoanVO.setAstNo(astLoan.getAstNo());
        astPoolLoanVO.setFreeTerm(astLoan.getFreeTerm());
        astPoolLoanVO.setPlanName(astLoan.getPlanName());
        astPoolLoanVO.setPrinBal(astLoan.getPrinBal());
        astPoolLoanVO.setRate(astLoan.getRate());
        astPoolLoanVO.setRepayMethod(RepayMethodEnum.getByCode(astLoan.getRepayMethod()));
        astPoolLoanVO.setRepayPeriod(astLoan.getRepayPeriod());
        astPoolLoanVO.setRepayPeriodType(astLoan.getRepayPeriodType());
        astPoolLoanVO.setRiskCl(AstRiskClassEnum.getByCode(astLoan.getRiskCl()));
        astPoolLoanVO.setStartDate(astLoan.getStartDate());
        return astPoolLoanVO;
    }



    public static BasePage<AstLoanVO> convert2AstPoolVOs(
        com.abssqr.plat.common.dal.mysql.auto.paging.BasePage<AstLoan> page) {
        BasePage<AstLoanVO> result=new BasePage<>();
        List<AstLoanVO> astLoanVOS=new ArrayList<>();
        if(CollectionUtils.isNotEmpty(page.getDatas())) {
            page.getDatas().forEach(v -> {
                astLoanVOS.add(convert2AstPoolVO(v));
            });
        }
        result.setDatas(astLoanVOS);
        result.setTotal(page.getTotal());
        result.setCurrPageNo(page.getCurrPageNo());
        result.setLimit(page.getLimit());
        return result;
    }
}
