package com.abssqr.plat.test.unittest.astPool; /**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */


import com.abssqr.plat.common.facade.param.ast.AstPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.AstLoanVO;
import com.abssqr.plat.common.facade.service.ast.AstPoolService;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.util.VarChecker;
import com.google.gson.Gson;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 * 资产列表查询
 */
public class AstListUnitTest extends BaseAutoTests {

    @Autowired
    private AstPoolService astPoolService;

    @XTest(relatePath = "unittest/astPool/astList")
    @Test(dataProvider = "YamlDataProvider", description = "资产列表查询")
    public void add(ICase iCase, AstPageQryParam astPageQryParam,String checkGet) {
        try {
            BasePage<AstLoanVO> astPoolLoanVOBasePage = astPoolService.astList(astPageQryParam);
            VarChecker.checkArgument(checkGet.equals(new Gson().toJson(astPoolLoanVOBasePage)),"查询不符合预期");
        } finally {
            // 校验数据
            super.checkDB(iCase);
            // super.clearDB(iCase);
        }
    }
}
