package com.abssqr.plat.web.controller.ast;

import javax.servlet.http.HttpServletResponse;

import com.abssqr.plat.common.facade.enums.LoanFieldEnum;
import com.abssqr.plat.common.facade.param.ast.AstDownLoadParam;
import com.abssqr.plat.common.facade.param.ast.AstPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.AstLoanVO;
import com.abssqr.plat.common.facade.service.ast.AstService;

import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

@RestJsonController
public class AstController {
    @Autowired
    private AstService astService;
    @GetMapping("ast/getField.json")
    public BaseResult<LoanFieldEnum> getField(){
        return BaseResult.success(LoanFieldEnum.values());
    }

    @PostMapping("ast/downLoadLoans")
    public void downLoadPackExcel(@RequestBody AstDownLoadParam astDownLoadParam,HttpServletResponse response){
        astService.downLoadAstFile(astDownLoadParam,response);
    }

    /**
     * 查询资产列表
     *
     * @param astPageQryParam
     * @return
     */
    @RequestMapping("ast/poolAstList.json")
    public BasePage<AstLoanVO> poolAstList(@RequestBody AstPageQryParam astPageQryParam) {
        return astService.poolAstList(astPageQryParam);
    }

    /**
     * 查询资产列表
     *
     * @param astPageQryParam
     * @return
     */
    @RequestMapping("ast/packAstList.json")
    public BasePage<AstLoanVO> packAstList(@RequestBody AstPageQryParam astPageQryParam) {
        return astService.packAstList(astPageQryParam);
    }

    /**
     * 查询资产列表
     *
     * @param astPageQryParam
     * @return
     */
    @RequestMapping("ast/packAddAstList.json")
    public BasePage<AstLoanVO> packAddAstList(@RequestBody AstPageQryParam astPageQryParam) {
        return astService.packAddAstList(astPageQryParam);
    }
}
